

package Testrig 
  
  model Wegvorgabe 
    Modelica.Blocks.Interfaces.RealInput u;
    Modelica.Mechanics.Translational.Interfaces.Flange_a flange_a;
  equation 
    flange_a.s = u;
  end Wegvorgabe;
  
  model Federbein 
    parameter Real c(unit="N/m")=30000;
    parameter Real d(unit="Ns/m")=3000;
    Real F(unit="N");
    Real z(unit="m");
    Modelica.Mechanics.Translational.Interfaces.Flange_a flange_a;
    Modelica.Mechanics.Translational.Interfaces.Flange_b flange_b;
  equation 
    z=flange_a.s-flange_b.s;
    F=z*c+d*der(z);
    flange_a.f=F;
    flange_b.f=-F;
  end Federbein;
  
  model Systemaufbau 
    Wegvorgabe Wegvorgabe1;
    Federbein Federbein1;
    Modelica.Mechanics.Translational.Fixed Fixed1;
    Modelica.Blocks.Sources.Sine Sine1(amplitude=0.01, freqHz=1);
  equation 
    connect(Sine1.y,Wegvorgabe1.u);
    connect(Wegvorgabe1.flange_a,Federbein1.flange_b);
    connect(Federbein1.flange_a,Fixed1.flange_b);
  end Systemaufbau;
  
  annotation (uses(Modelica(version="2.2.1")));
end Testrig;
